{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };
  outputs = { self, nixpkgs, ... }: {

    devShells."x86_64-linux".default = let

      pkgs = import nixpkgs {
        system = "x86_64-linux";
      };

    in pkgs.mkShell {

      nativeBuildInputs = with pkgs; [
        pkg-config
      ];

      buildInputs = with pkgs; [
        git
        ncurses
        unzip
        python3
        cdrkit # mkisofs
      ];

      /*
        OpenWRT toolchain code isn't as clean as it needs to be to
        pass nixpkgs hardening, so we disable it

        Resolves:
          -Werror=format-security
      */      
      hardeningDisable = [ "all" ];

    };

  };
}
